## diffpdf 2.1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

set(DIFFPDF_VERSION 2.1.3.1)
project(DiffPDF VERSION ${DIFFPDF_VERSION})

set(QT_MIN_VERSION 5.7.0)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(FeatureSummary)
include(GNUInstallDirs)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    LinguistTools
    PrintSupport
    Widgets)

find_package(Poppler REQUIRED COMPONENTS Core Qt5)

set(diffpdf_SRCS
    aboutform.cpp
    generic.cpp
    helpform.cpp
    label.cpp
    lineedit.cpp
    main.cpp
    mainwindow.cpp
    optionsform.cpp
    saveform.cpp
    sequence_matcher.cpp
    textitem.cpp)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX DIFFPDF
    VERSION_HEADER diffpdfversion.h)

configure_file(diffpdf.1.cmake diffpdf.1)

file(GLOB diffpdf_TS *.ts)
qt5_add_translation(diffpdf_QM ${diffpdf_TS})

configure_file(resources.qrc.cmake resources.qrc)
qt5_add_resources(diffpdf_SRCS ${CMAKE_BINARY_DIR}/resources.qrc)

add_executable(diffpdf ${diffpdf_SRCS} ${diffpdf_QM})

target_link_libraries(diffpdf
    Poppler::Qt5
    Qt5::PrintSupport
    Qt5::Widgets)

target_compile_definitions(diffpdf PRIVATE -DPOPPLER_VERSION="${Poppler_VERSION}")


file(GLOB diffpdf_DOCS *.html)
install(FILES ${diffpdf_DOCS} DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(FILES README CHANGES DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(TARGETS diffpdf DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${CMAKE_BINARY_DIR}/diffpdf.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install(FILES eu.qtrac.diffpdf.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES images/icon.png
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
        RENAME diffpdf.png)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## diffpdf 1.1.3

=== debian/changelog ===
diffpdf (1.1.3-1) unstable; urgency=low

  * New upstream version, merging 00-fix_casting_error.patch.

 -- David Paleino <dapal@debian.org>  Fri, 16 Jul 2010 11:52:40 +0200

diffpdf (1.1.2-2) unstable; urgency=low

  * debian/patches/00-fix_casting_error.patch added, merged back
    from Ubuntu. Patch by David Sugar.
  * debian/control: bump Standards-Version to 3.9.0

 -- David Paleino <dapal@debian.org>  Wed, 14 Jul 2010 22:32:29 +0200

diffpdf (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- David Paleino <dapal@debian.org>  Sun, 06 Jun 2010 22:12:08 +0200

diffpdf (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- David Paleino <dapal@debian.org>  Mon, 31 May 2010 21:07:38 +0200

diffpdf (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- David Paleino <dapal@debian.org>  Sat, 22 May 2010 15:38:44 +0200

diffpdf (0.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/00-fix_typos.patch removed, merged upstream

 -- David Paleino <dapal@debian.org>  Thu, 13 May 2010 22:36:40 +0200

diffpdf (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - bumped Standards-Version to 3.8.4 (no changes needed)
    - multi-line fields re-formatted
  * debian/watch: removed spurious comments
  * debian/source/format: using 3.0 (quilt)
  * debian/patches/:
    - 00-fix_typos.patch added, fixes typos in the sourcecode

 -- David Paleino <dapal@debian.org>  Sat, 24 Apr 2010 21:26:55 +0200

diffpdf (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #562070)

 -- David Paleino <dapal@debian.org>  Wed, 23 Dec 2009 16:51:04 +0100

=== debian/control ===
Source: diffpdf
Section: utils
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
 , qt4-qmake
 , libqt4-dev
 , libpoppler-qt4-dev
Standards-Version: 3.9.0
Homepage: http://www.qtrac.eu/diffpdf.html
Vcs-Git: git://git.debian.org/collab-maint/diffpdf.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/diffpdf.git

Package: diffpdf
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: compare two PDF files textually or visually
 DiffPDF is used to compare two PDF files.
 By default the comparison is of the text on each pair of pages, but
 comparing the appearance of pages is also supported (for example, if
 a diagram is changed or a paragraph reformatted). It is also possible
 to compare particular pages or page ranges. For example, if there are
 two versions of a PDF file, one with pages 1-12 and the other with
 pages 1-13 because of an extra page having been added as page 4, they
 can be compared by specifying two page ranges, 1-12 for the first and 1-3,
 5-13 for the second. This will make DiffPDF compare pages in the pairs
 (1, 1), (2, 2), (3, 3), (4, 5), (5, 6), and so on, to (12, 13).

## diffpdf 1.1.4

=== debian/changelog ===
diffpdf (1.1.4-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version bumped to 3.9.1, no changes needed

 -- David Paleino <dapal@debian.org>  Wed, 18 Aug 2010 10:03:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  , qt4-qmake
  , libqt4-dev
  , libpoppler-qt4-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.qtrac.eu/diffpdf.html
 Vcs-Git: git://git.debian.org/collab-maint/diffpdf.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/diffpdf.git

## diffpdf 1.2.0

=== debian/changelog ===
diffpdf (1.2.0-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.2, no changes needed
  * Bump debhelper compatibility to 8

 -- David Paleino <dapal@debian.org>  Mon, 25 Apr 2011 22:11:02 +0200

diffpdf (1.1.5-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Wed, 16 Feb 2011 18:19:25 +0100

## diffpdf 1.2.2

=== debian/changelog ===
diffpdf (1.2.2-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Wed, 07 Sep 2011 10:05:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~)
+ debhelper (>= 8~)
  , qt4-qmake
  , libqt4-dev
  , libpoppler-qt4-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.qtrac.eu/diffpdf.html
 Vcs-Git: git://git.debian.org/collab-maint/diffpdf.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/diffpdf.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	qmake-qt4 diffpdf.pro
	dh_auto_build

%:
	dh $@

## diffpdf 1.8.0

=== debian/changelog ===
diffpdf (1.8.0-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 29 Dec 2011 18:05:00 +0100

## diffpdf 1.9.2

=== debian/changelog ===
diffpdf (1.9.2-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright
  * Add missing build-dependency on libpoppler-cpp-dev
  * Standards-Version bump to 3.9.3, no changes needed
  * Compile translation files during the build

 -- David Paleino <dapal@debian.org>  Thu, 01 Mar 2012 22:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
  debhelper (>= 8~)
  , qt4-qmake
  , libqt4-dev
+ , qt4-linguist-tools
  , libpoppler-qt4-dev
-Standards-Version: 3.9.2
+ , libpoppler-cpp-dev
+Standards-Version: 3.9.3
 Homepage: http://www.qtrac.eu/diffpdf.html
 Vcs-Git: git://git.debian.org/collab-maint/diffpdf.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/diffpdf.git

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 override_dh_auto_build:
 	qmake-qt4 diffpdf.pro
+	lrelease diffpdf_cz.ts
 	dh_auto_build
 
 %:

## diffpdf 2.1.1

=== debian/changelog ===
diffpdf (2.1.1-1) unstable; urgency=low

  * New upstream version
  * Export DEB_BUILD_HARDENING_RELRO in debian/rules

 -- David Paleino <dapal@debian.org>  Thu, 07 Jun 2012 17:02:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  , qt4-linguist-tools
  , libpoppler-qt4-dev
  , libpoppler-cpp-dev
+ , hardening-wrapper
 Standards-Version: 3.9.3
 Homepage: http://www.qtrac.eu/diffpdf.html
 Vcs-Git: git://git.debian.org/collab-maint/diffpdf.git

## diffpdf 2.1.3

=== debian/changelog ===
diffpdf (2.1.3-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #901267)
    + Don't call qmake twice (dh_auto_configure and explicitly).
    + Build-Depends: qt5-qmake:native for using lrelease.

  [ Barak A. Pearlmutter ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix field name typo in debian/copyright (X-Comment => Comment).
  * Update Vcs-* headers to use salsa repository.
  * Add dates to quilt patches
  * Bump policy
  * Add self as co-maintainer
  * Patch some spelling errors
  * Use dh13 facilities in debian/rules
  * OpenML parallel comparison patch by Sebastian Gerke (closes: #878060)
  * Move homepage to upstream "FOSS" disclaimer page (closes: #776833)
  * Update debian/watch uscan support file
  * Do not check extensions patch by Johannes Schauer (closes: #776837)
  * Remove obsolete debian/dirs
  * Override a few more stray lintian spelling false alarms.
  * Add some keywords to desktop file to placate lintian.
  * Draw and install scalable SVG icon instead of lo-res one.
  * Don't complicate things, just invoke lrelease on the .pro file.
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 24 Oct 2020 20:43:14 +0100

diffpdf (2.1.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch build to Qt5 with thanks to Sune Vuorela for the patch
    (Closes: 874854).

 -- Stuart Prescott <stuart@debian.org>  Thu, 18 Jan 2018 22:42:45 +1100

diffpdf (2.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop using hardening-wrapper, make use of dpkg-buildflags with
      DEB_BUILD_MAINT_OPTIONS=hardening=+all
    instead.  Closes: #836621
  * Use https in Vcs-Git.
  * Drop menu file, as it has been deprecated by the tech-ctte.
  * Add patch to have qmake use build flags from the environment.
  * d/copyright: right order of paragraph to respect copyright-format 1.0.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 27 Sep 2016 08:34:37 +0000

diffpdf (2.1.3-1) unstable; urgency=low

  * New upstream version (Closes: #703440).
  * Bump debhelper compatibility to 9.
  * Standards-Version bump to 3.9.5, no changes needed.
  * Use canonical Vcs-* urls.

 -- David Paleino <dapal@debian.org>  Mon, 04 Nov 2013 17:16:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: utils
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
+Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends:
- debhelper (>= 8~)
- , qt4-qmake
- , libqt4-dev
- , qt4-linguist-tools
- , libpoppler-qt4-dev
- , libpoppler-cpp-dev
- , hardening-wrapper
-Standards-Version: 3.9.3
-Homepage: http://www.qtrac.eu/diffpdf.html
-Vcs-Git: git://git.debian.org/collab-maint/diffpdf.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/diffpdf.git
+ debhelper-compat (= 13)
+ , qt5-qmake
+ , qt5-qmake:native,
+ , libpoppler-qt5-dev
+ , qtbase5-dev,
+ , qttools5-dev,
+ , qttools5-dev-tools,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: http://www.qtrac.eu/diffpdf-foss.html
+Vcs-Git: https://salsa.debian.org/debian/diffpdf.git
+Vcs-Browser: https://salsa.debian.org/debian/diffpdf
 
 Package: diffpdf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=5

%:
	dh $@

execute_before_dh_auto_build:
	lrelease diffpdf.pro

=== debian/watch ===
version=4
http://www.qtrac.eu/@PACKAGE@-foss.html .*@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## diffpdf 2.1.3.1

=== debian/changelog ===
diffpdf (2.1.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112844)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Oct 2025 16:21:30 +0200

diffpdf (2.1.3.1-2) unstable; urgency=medium

  * Wrap long lines in changelog entries: 2.1.3.1-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Aug 2021 13:57:18 -0000

diffpdf (2.1.3.1-1) experimental; urgency=medium

  * Take over as formal maintainer (with great thanks to David Paleino!)
  * Document history and pointers to forks in README.source
  * New (unofficial) upstream version
    - build system now cmake: remove qmake-related patches, add cmake OpenMP
      patch
    - includes desktop file, so just patch keywords into it
    - add doc-base file for html documentation
    - include transition from qt4 to qt5; remove corresponding patch
    - upstream installs various files; update packaging scripts
    - deal with cmake installing into wrong docdir
  * Add uscan stanza for new upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 May 2021 18:22:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: diffpdf
 Section: utils
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
-Uploaders: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends:
  debhelper-compat (= 13)
+ , cmake
  , qt5-qmake
- , qt5-qmake:native,
+ , qt5-qmake:native
  , libpoppler-qt5-dev
- , qtbase5-dev,
- , qttools5-dev,
- , qttools5-dev-tools,
-Standards-Version: 4.5.0
+ , qtbase5-dev
+ , qttools5-dev
+ , qttools5-dev-tools
+ , extra-cmake-modules
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.qtrac.eu/diffpdf-foss.html
 Vcs-Git: https://salsa.debian.org/debian/diffpdf.git

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,15 @@
 %:
 	dh $@
 
-execute_before_dh_auto_build:
-	lrelease diffpdf.pro
+execute_after_dh_auto_install:
+	@echo "*** cmake defaults CMAKE_INSTALL_DOCDIR=/usr/share/doc/DiffPDF"
+	@echo "    should be /usr/share/doc/diffpdf"
+	-mkdir --parent debian/diffpdf/usr/share/doc/diffpdf
+	-mv --verbose debian/diffpdf/usr/share/doc/DiffPDF/* \
+		      debian/diffpdf/usr/share/doc/diffpdf/
+	-rmdir --verbose debian/diffpdf/usr/share/doc/DiffPDF
+	@echo "*** Remove extra copy of upstream change log."
+	-rm --verbose debian/diffpdf/usr/share/doc/diffpdf/CHANGES
+	@echo "*** Rename desktop file in accord with Debian conventions."
+	-mv --verbose debian/diffpdf/usr/share/applications/eu.qtrac.diffpdf.desktop \
+		      debian/diffpdf/usr/share/applications/diffpdf.desktop

=== debian/watch ===
version=4
http://www.qtrac.eu/@PACKAGE@-foss.html .*@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
https://gitlab.com/eang/@PACKAGE@/tags?sort=updated_desc .*/@PACKAGE@-v?@ANY_VERSION@@ARCHIVE_EXT@
